Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.impl
Class SImplementationImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.metaabm.impl.SImplementationImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, SImplementation

    public class SImplementationImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements SImplementation

An implementation of the model object ' SImplementation'. Just have to say that this is one of the most self-referential meta-model classes yet.

Author:
  Miles Parker

  The following features are implemented:

  - `Package`
  - `Class Name`
  - `Base Path`
  - `Mode`
  - `Target`
  - `Qualified Name`
  - `Derived Path`
  - `Derived Package`
  - `Java File Loc`
  - `Src Dir`
  - `Bin Dir`
  - `Class File Loc`
  - `Derived Bin Dir`
  - `Derived Src Dir`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static java.lang.String` | `BASE_PATH_EDEFAULT` The default value of the '`Base Path`' attribute.
`protected java.lang.String` | `basePath` The cached value of the '`Base Path`' attribute.
`protected static java.lang.String` | `BIN_DIR_EDEFAULT` The default value of the '`Bin Dir`' attribute.
`protected java.lang.String` | `binDir` The cached value of the '`Bin Dir`' attribute.
`protected static java.lang.String` | `CLASS_FILE_LOC_EDEFAULT` The default value of the '`Class File Loc`' attribute.
`protected static java.lang.String` | `CLASS_NAME_EDEFAULT` The default value of the '`Class Name`' attribute.
`protected java.lang.String` | `className` The cached value of the '`Class Name`' attribute.
`protected static java.lang.String` | `DERIVED_BIN_DIR_EDEFAULT` The default value of the '`Derived Bin Dir`' attribute.
`protected static java.lang.String` | `DERIVED_PACKAGE_EDEFAULT` The default value of the '`Derived Package`' attribute.
`protected static java.lang.String` | `DERIVED_PATH_EDEFAULT` The default value of the '`Derived Path`' attribute.
`protected static java.lang.String` | `DERIVED_SRC_DIR_EDEFAULT` The default value of the '`Derived Src Dir`' attribute.
`protected static java.lang.String` | `JAVA_FILE_LOC_EDEFAULT` The default value of the '`Java File Loc`' attribute.
`protected SImplementationMode` | `mode` The cached value of the '`Mode`' attribute.
`protected static SImplementationMode` | `MODE_EDEFAULT` The default value of the '`Mode`' attribute.
`protected java.lang.String` | `package_` The cached value of the '`Package`' attribute.
`protected static java.lang.String` | `PACKAGE_EDEFAULT` The default value of the '`Package`' attribute.
`protected static java.lang.String` | `QUALIFIED_NAME_EDEFAULT` The default value of the '`Qualified Name`' attribute.
`static char` | `sc`
`protected static java.lang.String` | `SRC_DIR_EDEFAULT` The default value of the '`Src Dir`' attribute.
`protected java.lang.String` | `srcDir` The cached value of the '`Src Dir`' attribute.

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` | `SImplementationImpl()`

Method Summary
`static java.lang.String` | `addDir(java.lang.String currentPath, java.lang.String candidatePath)` Adds a dir to the current path, adding a seperator IFF both paths are not empty or null.
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetTarget(SImplemented newTarget, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.String` | `derive(Derivable derivable)` If this object's value for the derived parent is null, return the parent's value for the derivable.
`org.eclipse.emf.common.notify.NotificationChain` | `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
`void` | `eUnset(int featureID)`
`java.lang.String` | `getBasePath()`
`java.lang.String` | `getBinDir()`
`java.lang.String` | `getClassFileLoc()` Returns the value of the 'Class File Loc' attribute.
`java.lang.String` | `getClassName()`
`java.lang.String` | `getDerivedBinDir()` Returns the value of the 'Derived Bin Dir' attribute.
`java.lang.String` | `getDerivedPackage()` Returns the value of the 'Derived Package' attribute.
`java.lang.String` | `getDerivedPath()` Returns the value of the 'Derived Path' attribute.
`java.lang.String` | `getDerivedSrcDir()` Returns the value of the 'Derived Src Dir' attribute.
`java.lang.String` | `getJavaFileLoc()` Returns the value of the 'Java File Loc' attribute.
`SImplementationMode` | `getMode()`
`java.lang.String` | `getPackage()`
`java.lang.String` | `getPackagePath()`
`java.lang.String` | `getQualifiedName()` Returns the value of the 'Qualified Name' attribute.
`java.lang.String` | `getSrcDir()`
`SImplemented` | `getTarget()`
`void` | `setBasePath(java.lang.String newBasePath)`
`void` | `setBinDir(java.lang.String newBinDir)`
`void` | `setClassName(java.lang.String newClassName)`
`void` | `setMode(SImplementationMode newMode)`
`void` | `setPackage(java.lang.String newPackage)`
`void` | `setSrcDir(java.lang.String newSrcDir)`
`void` | `setTarget(SImplemented newTarget)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### sc

    public static final char sc

See Also:
  Constant Field Values

### PACKAGE_EDEFAULT

    protected static final java.lang.String PACKAGE_EDEFAULT

  The default value of the '`Package`' attribute.

  See Also:
    `getPackage()`

### package_

    protected java.lang.String package_

  The cached value of the '`Package`' attribute.

  See Also:
    `getPackage()`

### CLASS_NAME_EDEFAULT

    protected static final java.lang.String CLASS_NAME_EDEFAULT

  The default value of the '`Class Name`' attribute.

  See Also:
    `getClassName()`

### className

    protected java.lang.String className

  The cached value of the '`Class Name`' attribute.

  See Also:
    `getClassName()`

### BASE_PATH_EDEFAULT

    protected static final java.lang.String BASE_PATH_EDEFAULT

  The default value of the '`Base Path`' attribute.

  See Also:
    `getBasePath()`

### basePath

    protected java.lang.String basePath

  The cached value of the '`Base Path`' attribute.

  See Also:
    `getBasePath()`

### MODE_EDEFAULT

    protected static final SImplementationMode MODE_EDEFAULT

  The default value of the '`Mode`' attribute.

  See Also:
    `getMode()`

### mode

    protected SImplementationMode mode

  The cached value of the '`Mode`' attribute.

  See Also:
    `getMode()`

### QUALIFIED_NAME_EDEFAULT

    protected static final java.lang.String QUALIFIED_NAME_EDEFAULT

  The default value of the '`Qualified Name`' attribute.

  See Also:
    `getQualifiedName()`

### DERIVED_PATH_EDEFAULT

    protected static final java.lang.String DERIVED_PATH_EDEFAULT

  The default value of the '`Derived Path`' attribute.

  See Also:
    `getDerivedPath()`

### DERIVED_PACKAGE_EDEFAULT

    protected static final java.lang.String DERIVED_PACKAGE_EDEFAULT

  The default value of the '`Derived Package`' attribute.

  See Also:
    `getDerivedPackage()`

### JAVA_FILE_LOC_EDEFAULT

    protected static final java.lang.String JAVA_FILE_LOC_EDEFAULT

  The default value of the '`Java File Loc`' attribute.

  See Also:
    `getJavaFileLoc()`

### SRC_DIR_EDEFAULT

    protected static final java.lang.String SRC_DIR_EDEFAULT

  The default value of the '`Src Dir`' attribute.

  See Also:
    `getSrcDir()`, Constant Field Values

### srcDir

    protected java.lang.String srcDir

  The cached value of the '`Src Dir`' attribute.

  See Also:
    `getSrcDir()`

### BIN_DIR_EDEFAULT

    protected static final java.lang.String BIN_DIR_EDEFAULT

  The default value of the '`Bin Dir`' attribute.

  See Also:
    `getBinDir()`, Constant Field Values

### binDir

    protected java.lang.String binDir

  The cached value of the '`Bin Dir`' attribute.

  See Also:
    `getBinDir()`

### CLASS_FILE_LOC_EDEFAULT

    protected static final java.lang.String CLASS_FILE_LOC_EDEFAULT

  The default value of the '`Class File Loc`' attribute.

  See Also:
    `getClassFileLoc()`

### DERIVED_BIN_DIR_EDEFAULT

    protected static final java.lang.String DERIVED_BIN_DIR_EDEFAULT

  The default value of the '`Derived Bin Dir`' attribute.

  See Also:
    `getDerivedBinDir()`

### DERIVED_SRC_DIR_EDEFAULT

    protected static final java.lang.String DERIVED_SRC_DIR_EDEFAULT

  The default value of the '`Derived Src Dir`' attribute.

  See Also:
    `getDerivedSrcDir()`

Constructor Detail

### SImplementationImpl

    protected SImplementationImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

### getPackage

    public java.lang.String getPackage()

  Specified by:
    `getPackage` in interface `SImplementation`
  Returns:
    the value of the 'Package' attribute.
  See Also:
    `SImplementation.setPackage(String)`, `MetaABMPackage.getSImplementation_Package()`

### setPackage

    public void setPackage(java.lang.String newPackage)

  Specified by:
    `setPackage` in interface `SImplementation`
  Parameters:
    `newPackage` - the new value of the 'Package' attribute.
  See Also:
    `SImplementation.getPackage()`

### getClassName

    public java.lang.String getClassName()

  Specified by:
    `getClassName` in interface `SImplementation`
  Returns:
    the value of the 'Class Name' attribute.
  See Also:
    `SImplementation.setClassName(String)`, `MetaABMPackage.getSImplementation_ClassName()`

### setClassName

    public void setClassName(java.lang.String newClassName)

  Specified by:
    `setClassName` in interface `SImplementation`
  Parameters:
    `newClassName` - the new value of the 'Class Name' attribute.
  See Also:
    `SImplementation.getClassName()`

### getBasePath

    public java.lang.String getBasePath()

  Specified by:
    `getBasePath` in interface `SImplementation`
  Returns:
    the value of the 'Base Path' attribute.
  See Also:
    `SImplementation.setBasePath(String)`, `MetaABMPackage.getSImplementation_BasePath()`

### setBasePath

    public void setBasePath(java.lang.String newBasePath)

  Specified by:
    `setBasePath` in interface `SImplementation`
  Parameters:
    `newBasePath` - the new value of the 'Base Path' attribute.
  See Also:
    `SImplementation.getBasePath()`

### derive

    public java.lang.String derive(Derivable derivable)

  Description copied from interface: `SImplementation`
  If this object's value for the derived parent is null, return the parent's value for the derivable.

  Specified by:
    `derive` in interface `SImplementation`
  Returns:

### getDerivedPackage

    public java.lang.String getDerivedPackage()

  Description copied from interface: `SImplementation`
  Returns the value of the 'Derived Package' attribute.

  If the meaning of the 'Derived Package' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getDerivedPackage` in interface `SImplementation`
  Returns:
    the value of the 'Derived Package' attribute.
  See Also:
    `MetaABMPackage.getSImplementation_DerivedPackage()`

### addDir

    public static java.lang.String addDir(java.lang.String currentPath,
                                          java.lang.String candidatePath)

  Adds a dir to the current path, adding a seperator IFF both paths are not empty or null.

  Parameters:
    `currentPath` -
    `candidatePath` -
  Returns:

### getPackagePath

    public java.lang.String getPackagePath()

  Specified by:
    `getPackagePath` in interface `SImplementation`

### getClassFileLoc

    public java.lang.String getClassFileLoc()

  Description copied from interface: `SImplementation`
  Returns the value of the 'Class File Loc' attribute. The default value is `""`. The precise location of any related binary class file, e.g. "../projectdir/bin/org/foo/MyClass.class" or "/root/projectdir/bin/org/foo/MyClass.class".

  Specified by:
    `getClassFileLoc` in interface `SImplementation`
  Returns:
    the value of the 'Class File Loc' attribute.
  See Also:
    `org.metaabmPackage#getSImplementation_ClassFileLoc()`

### getJavaFileLoc

    public java.lang.String getJavaFileLoc()

  Description copied from interface: `SImplementation`
  Returns the value of the 'Java File Loc' attribute.

  If the meaning of the 'Java File Loc' attribute isn't clear, there really should be more of a description here...

  The precise location of any related java file, e.g. \"../projectdir/srcgen/org/foo/MyClass.java\" or \"/root/projectdir/srcgen/org/foo/MyClass.java\".

  Specified by:
    `getJavaFileLoc` in interface `SImplementation`
  Returns:
    the value of the 'Java File Loc' attribute.
  See Also:
    `MetaABMPackage.getSImplementation_JavaFileLoc()`

### getDerivedBinDir

    public java.lang.String getDerivedBinDir()

  Description copied from interface: `SImplementation`
  Returns the value of the 'Derived Bin Dir' attribute.

  If the meaning of the 'Derived Bin Dir' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getDerivedBinDir` in interface `SImplementation`
  Returns:
    the value of the 'Derived Bin Dir' attribute.
  See Also:
    `MetaABMPackage.getSImplementation_DerivedBinDir()`

### getDerivedSrcDir

    public java.lang.String getDerivedSrcDir()

  Description copied from interface: `SImplementation`
  Returns the value of the 'Derived Src Dir' attribute.

  If the meaning of the 'Derived Src Dir' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getDerivedSrcDir` in interface `SImplementation`
  Returns:
    the value of the 'Derived Src Dir' attribute.
  See Also:
    `MetaABMPackage.getSImplementation_DerivedSrcDir()`

### getDerivedPath

    public java.lang.String getDerivedPath()

  Description copied from interface: `SImplementation`
  Returns the value of the 'Derived Path' attribute.

  If the meaning of the 'Derived Path' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getDerivedPath` in interface `SImplementation`
  Returns:
    the value of the 'Derived Path' attribute.
  See Also:
    `MetaABMPackage.getSImplementation_DerivedPath()`

### getQualifiedName

    public java.lang.String getQualifiedName()

  Description copied from interface: `SImplementation`
  Returns the value of the 'Qualified Name' attribute.

  If the meaning of the 'Qualified Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getQualifiedName` in interface `SImplementation`
  Returns:
    the value of the 'Qualified Name' attribute.
  See Also:
    `MetaABMPackage.getSImplementation_QualifiedName()`

### getSrcDir

    public java.lang.String getSrcDir()

  Specified by:
    `getSrcDir` in interface `SImplementation`
  Returns:
    the value of the 'Src Dir' attribute.
  See Also:
    `SImplementation.setSrcDir(String)`, `MetaABMPackage.getSImplementation_SrcDir()`

### setSrcDir

    public void setSrcDir(java.lang.String newSrcDir)

  Specified by:
    `setSrcDir` in interface `SImplementation`
  Parameters:
    `newSrcDir` - the new value of the 'Src Dir' attribute.
  See Also:
    `SImplementation.getSrcDir()`

### getBinDir

    public java.lang.String getBinDir()

  Specified by:
    `getBinDir` in interface `SImplementation`
  Returns:
    the value of the 'Bin Dir' attribute.
  See Also:
    `SImplementation.setBinDir(String)`, `MetaABMPackage.getSImplementation_BinDir()`

### setBinDir

    public void setBinDir(java.lang.String newBinDir)

  Specified by:
    `setBinDir` in interface `SImplementation`
  Parameters:
    `newBinDir` - the new value of the 'Bin Dir' attribute.
  See Also:
    `SImplementation.getBinDir()`

### getMode

    public SImplementationMode getMode()

  Specified by:
    `getMode` in interface `SImplementation`
  Returns:
    the value of the 'Mode' attribute.
  See Also:
    `SImplementationMode`, `SImplementation.setMode(SImplementationMode)`, `MetaABMPackage.getSImplementation_Mode()`

### setMode

    public void setMode(SImplementationMode newMode)

  Specified by:
    `setMode` in interface `SImplementation`
  Parameters:
    `newMode` - the new value of the 'Mode' attribute.
  See Also:
    `SImplementationMode`, `SImplementation.getMode()`

### getTarget

    public SImplemented getTarget()

  Specified by:
    `getTarget` in interface `SImplementation`
  Returns:
    the value of the 'Target' container reference.
  See Also:
    `SImplementation.setTarget(SImplemented)`, `MetaABMPackage.getSImplementation_Target()`, `SImplemented.getImplementation()`

### basicSetTarget

    public org.eclipse.emf.common.notify.NotificationChain basicSetTarget(SImplemented newTarget,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

### setTarget

    public void setTarget(SImplemented newTarget)

  Specified by:
    `setTarget` in interface `SImplementation`
  Parameters:
    `newTarget` - the new value of the 'Target' container reference.
  See Also:
    `SImplementation.getTarget()`

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD